Bug 1196524 - [GSS](6.4.z) Upgrade HornetQ from 2.3.25.Final to 2.3.25.SP1
Summary: [GSS](6.4.z) Upgrade HornetQ from 2.3.25.Final to 2.3.25.SP1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.2
Assignee: Vaclav Tunka
QA Contact: Miroslav Novak
URL:
Whiteboard:
Depends On: 1203869 1207707 1221495 1229434
Blocks: 1219165
TreeView+ depends on / blocked
 
Reported: 2015-02-26 07:23 UTC by baranowb
Modified: 2017-01-17 10:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 10:14:00 UTC
Type: Component Upgrade
csuconic: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1213488 0 unspecified CLOSED RHEL6 RPMs: Upgrade hornetq to 2.3.25.SP1-redhat-1 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1213489 0 unspecified CLOSED RHEL5 RPMs: Upgrade hornetq to 2.3.25.SP1-redhat-1 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1213490 0 unspecified CLOSED RHEL7 RPMs: Upgrade hornetq to 2.3.25.SP1-redhat-1 2021-02-22 00:41:40 UTC

Internal Links: 1213488 1213489 1213490

Description baranowb 2015-02-26 07:23:48 UTC

Comment 1 Rostislav Svoboda 2015-04-27 11:07:15 UTC
HornetQ tag 2.3.26.Final does not exist at this moment. 

Maintance branch 2.3.x includes following fixes/commits in comparison to tag 2.3.25.Final:
  BZ 1203869 adding logs for customer - marked to be included in 6.4.1.CP

  BZ 1192532 -  [6.4.z] HornetQ's Journal should be compatible with 4096 alignments - marked to be included in 6.4.1.CP but there is NO commit linked to this issue or commit with this BZ prefix

Additional commits in 2.3.x branch which are NOT included in payload for 6.4.0.CP1:
  HORNETQ-1467 / BZ-1207707 large messages sending over bridge when non persistent
  BZ-1202368 print POODLE WARN just once
  BZ-1195210 Backup fails to announce to live server
  BZ-1193085 critical IO error on client disconnect
  Update of  jboss-logging and jboss-logmanager dependencies

Comment 3 Rostislav Svoboda 2015-04-28 10:48:39 UTC
qa_ack on hold because of BZ 1192532, see comment 12

Comment 4 baranowb 2015-04-28 10:57:56 UTC
Not the time travel glitch again! We are at comment 4, who is supposed to reveal qa_ack hold?

Comment 5 Rostislav Svoboda 2015-04-29 07:04:41 UTC
(In reply to baranowb from comment #4)
> Not the time travel glitch again! We are at comment 4, who is supposed to
> reveal qa_ack hold?

Full link is https://bugzilla.redhat.com/show_bug.cgi?id=1192532#c12

Comment 8 Clebert Suconic 2015-06-08 21:29:00 UTC
Large message is quite important… it’s an user complaint… and an obvious fix.
e3f5405 HORNETQ-1467 / BZ-1207707 large messages sending over bridge when non persistent



I have removed a few fixes from the main branch, and I’ve came up with a list:

https://github.com/hornetq/hornetq/commits/2.3.25.x


There are Only two are raised by QE but they should be on the patch, because if they are not a customer complain yet they will eventually be.

677c42b BZ-1195210 Backup fails to announce to live server
ab93b77 BZ-1193085 critical IO error on client disconnect




This is the full list:

macbookCleb-2:hornetq clebertsuconic$ git log HornetQ_2_3_25_Final..2.3.25.x --oneline
e00485b HORNETQ-1477 getDeliveringMessages() broke
f3e9530 Fix for JBPAPP-11203.
e3f5405 HORNETQ-1467 / BZ-1207707 large messages sending over bridge when non persistent
9548b5d BZ-1202368 print POODLE WARN just once
677c42b BZ-1195210 Backup fails to announce to live server
ab93b77 BZ-1193085 critical IO error on client disconnect
337eaf3 2.3.25.x.release

Comment 10 Clebert Suconic 2015-06-10 14:05:27 UTC
Jimmy, are you ok with the list I provided here? I'm removing a few committs from the 2.3.x branch. If you would like I can add them back.

Comment 11 Clebert Suconic 2015-06-10 15:00:24 UTC
I have tagged HornetQ_2_3_25_SP1. I used SP1 this time per Fernando's request as he mentioned OSGI compatibility.

Let me know if there are any issues with any of the commits

Comment 12 Clebert Suconic 2015-06-10 15:00:59 UTC
I'm not sure who I should assign this to now?

Can you assign the right person

Comment 18 Ondřej Kalman 2015-06-24 06:49:32 UTC
VERIFIED with 6.4.2.CP.CR1

Comment 19 Petr Penicka 2017-01-17 10:14:00 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.